► |  | Slideshow: Figure and Presentation Tools

1 | Creating Slide Presentations
2 | Making Slides
3 | Fullscreen vs. Widescreen Aspect Ratio
4 | Typesetting Racket Code in Slideshow
5 | Animations
6 | Legacy Libraries
| Bibliography
| Index

▼ | 2 | Making Slides

2.1 | Primary Slide Functions
2.2 | Slide Registration
2.3 | Viewer Control
2.4 | Constants and Layout Variables
2.5 | Configuration
2.6 | Pict-Staging Helper
2.7 | Text Formatting Helpers
2.8 | Slides to Picts

On this page:

with-size
with-scale
big
small
with-font
with-style
bold
italic
subscript
superscript
caps
blank-line

7.2
top ← prev up next →

#### 2.7`` Text Formatting Helpers

(require slideshow/text) | package: slideshow-lib

This module provides conveniences functions for formatting text.

> > syntax

> > (with-size size expr)

Sets current-font-size to size while running expr.

Added in version 1.2 of package slideshow-lib.

> > syntax

> > (with-scale scale expr)

Multiplies current-font-size by scale while running expr.

Added in version 1.2 of package slideshow-lib.

> > syntax

> > (big text)

> > syntax

> > (small text)

Scale current-font-size by 3/2 or 2/3, respectively, while running text.

Added in version 1.2 of package slideshow-lib.

> > syntax

> > (with-font font expr)

Sets current-main-font to font while running expr.

Added in version 1.2 of package slideshow-lib.

> > syntax

> > (with-style style expr)

Adds style to current-main-font (via cons) while running expr.

Added in version 1.2 of package slideshow-lib.

> > syntax

> > (bold text)

> > syntax

> > (italic text)

> > syntax

> > (subscript text)

> > syntax

> > (superscript text)

> > syntax

> > (caps text)

Adds the attributes for bold, italic, superscript, subscript, or small caps text, respectively, to current-main-font while running text.

Added in version 1.2 of package slideshow-lib.

> > procedure

> > (blank-line) → pict?

Adds a blank line of the current font size’s height.

Added in version 1.2 of package slideshow-lib.

top ← prev up next →